Query subscription contract details
GET https://{handle}.myshopline.com/admin/openapi/v20261201/subscription/:id/contract.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .query a subscription contract
Path Parameters
- id string requiredContract single number
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
subscription_contractobject
Subscription contract information detailscustomerobject
User informationid stringUser id , buyerIdnick_name stringUser nicknamephone stringUser phoneshipping_addressobject
Shipping addressprovince_code stringConsignee province codephone stringConsignee contactprovince stringConsignee provincecity stringConsignee citycity_code stringConsignee city codefirst_name stringConsignee namecountry_code stringCountry or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478district stringConsignee zonezip stringPostal codecountry stringCountry or regionlast_name stringConsignee last namedistrict_code stringConsignee zone codeaddress2 stringConsignee additional to the detailed addresscompany stringCompany nameaddress1 stringConsignee detailed addressemail stringUser mailcreated_at stringCreated time , 2019-09-07T15 : 50 : 00 zupdated_at stringUpdate time , 2019-09-07T15 : 50 : 00 zdelivery_infoobject
Shipping informationdelivery_name stringScheme namedelivery_seq stringThe seq for the shipping programbilling_policyobject
Billing policy for the subscription agreementmax_cycles integerLargest subscription cyclemin_cycles integerMinimum subscription cycleinterval stringInterval units , ( day , MONTH , weed , year )interval_count integerInterval valueorigin_orderobject
Original order informationid stringOrder numbercustomer_payment_methodobject
payment methodinstrument_seq stringPayment tool idmethod_code stringPayment method encodingstore_payment_id stringPayment method idchannel_code stringPayment channel encodinginstrument_detailobject
Payment tool detailscardobject
Card number informationbrand stringCard brandbrand_icon stringCard iconexpire_month stringExpiration date : monthexpire_year stringExpiration date : yearfirst stringCard number front display bitholder stringCard holder namelast stringCard number rear display bittype stringType card / account. card : carnegie ; account : account baseaccountobject
Account informationname stringAccount nameid stringContract single numberlast_payment_status stringLast payment statusnext_billing_date stringNext bill datecurrency_code stringStore currencyperiods integerDuration of current contract executionstatus stringSubscription contract statusline_itemsobject[]
Associated Productamount_setobject
Product amount , multi-currency formatpresentment_moneyobject
presentment moneyamount stringAmountcurrency_code stringCurrencyshop_moneyobject
shop moneyamount stringAmountcurrency_code stringCurrencyvariant_id stringProduct SKU serial numbergroup_id stringItem group idquantity integerProduct quantityversion stringProduct versionamount stringProduct amount ( two precision string , like " 88.10 " )product_source stringProduct source main_site main station product、customize custom productsku stringItem no .title stringProduct titleattributesobject[]
Product attributes : name , attribute valuekey stringAttributes key or namevalue stringAttribute valueimage_url stringProduct main imagepricing_policyobject[]
Subscription cycle discountcycle_discountsobject[]
Adjust per cycle of the subscribe to the lineadjustment_type stringDiscount type , FIXED_AMOUNT : minus , PERCENTAGE : discount ( minus percentage )adjustment_value longDiscount value subtraction amount ( points ) or ratiovariant_attribute stringProduct attributesappobject
Subscription plug-in informationapp_key stringKey for app insert
API Explorer
Debugger
Was this article helpful to you?